cordova-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jesse <purplecabb...@gmail.com>
Subject Re: Versioning Mobile-Spec
Date Fri, 15 May 2015 21:59:36 GMT
Plugins are versioned, and their tests live with them.
As far as platform tests those should live with the platform ... and thus
be versioned there as well.
We do document what platforms/plugin version we tested against somewhere,
can't remember where.

I'm happy to move on from supporting 3.7.x cordova-android.



@purplecabbage
risingj.com

On Fri, May 15, 2015 at 2:37 PM, Joe Bowser <bowserj@gmail.com> wrote:

> Hey
>
> I was recently testing out something with Cordova-Android 3.7.x and
> mobile-spec, and I noticed that this was pretty much impossible since we
> don't know what the matching versions are between mobile-spec and this
> version of Cordova.  This is going to be a major problem to people who are
> looking to work on backported versions of Cordova, and it'd probably be a
> good idea to figure this out.
>
> Should we keep supporting the 3.7.x branch of Cordova at all, or should we
> tell everyone to upgrade to 4.0.x? There's a lot of breaking changes from a
> plugin-author's point of view that will keep people on the older version.
>
> Thoughts?
>
> Joe
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message